/* styles/Favorites.module.css */
.favorites-container {
    width: 70%;
    margin: 50px auto; 
    padding: 20px;

  }
  
  .favorites-list {
    display: flex;
    flex-direction: column;
  }
  
  .favorite-item {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #ccc; /* Utilisez border-bottom pour séparer les items sans marge */
    padding: 10px;
    box-sizing: border-box;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Exemple de box shadow */
    background: white; /* Fond blanc ou autre couleur selon votre design */
    border-radius: 8px; /* Bords arrondis pour l'esthétique */ /* Bords arrondis pour chaque item */
  }
  
  .favorite-item:not(:last-child) {
    margin-bottom: 10px; /* Ajoutez une marge en bas sauf pour le dernier item */
  }
  
  .favorite-item img {
    width: 100px; /* Adjustez la taille de l'image si nécessaire */
    margin-right: 10px;
    border-radius: 4px; /* Bords arrondis pour l'image */
  }
  
  .favorite-details {
    flex-grow: 1;
  }
  
  button {
    background-color: orange; /* Changez pour correspondre à votre schéma de couleur */
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 4px; /* Bords arrondis pour le bouton */
  }
  
  button:hover {
    opacity: 0.8;
  }
  
  h3.card-annonce {
    font-weight: 800;
    font-size: 20px;
    margin-left: 7%;
    margin-bottom: 15px;
  }
  .card {
    box-shadow: 0px 0px 15px #00000029;
    border-radius: 20px;
    padding: 24px 15px 15px;
    width: 100%;
  }
  div.card-flex {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
  }


  div.container {
    margin-bottom: 30px !important;
  }
  
  div.container .with-card {
    width: 45%;
    margin: 10px;
  
    div.flex {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: space-around;
  
      img {
        width: 80%;
        height: 35%;
      }
  
      div {
        width: 80%;
      }
  
      div.center-side.column {
        div.mariage-part {
          width: 100%;
  
          p.mariage-title,
          p.mariage-price {
            font-size: 12px;
            width: 100%;
            margin: 0;
          }
        }
  
        div.date-part {
          width: 100%;
          display: flex;
          flex-direction: row;
          flex-wrap: nowrap;
          justify-content: space-between;
  
          p {
            font-size: 12px;
            width: 100%;
            margin: 0;
          }
  
          img.max-width-mima {
            width: 20%;
          }
        }
      }
  
      div.flex.button-container {
        div {
          width: 100%;
          margin-top: 10px;
  
          button {
            background-color: #ac3328;
            border: none;
            color: white;
            border-radius: 5px;
            font-size: 14px;
          }
        }
      }
    }
  }

  .align-item-center{
    align-items: center;
  }

  #annonces {
    /* Styles pour la section avec l'ID "annonces" */
    .name-profile {
      text-align: center;
    }
  
    button {
      height: 42px;
      color: white;
      border: none;
      border-radius: 5px;
      padding: 0 15px;
    }
  
    button.black {
      background-color: black !important;
    }
  
    button.orange {
      background-color: #f59f4d !important;
      margin-right: 40px;
    }
  
    .status {
      color: white;
      border-radius: 5px;
      width: fit-content;
      padding: 5px 20px;
    }
  
    .status.purple {
      background-color: #7a128f;
    }
  
    .status.blue {
      background-color: #2847ac;
    }
  
    .status.red-back {
      background-color: #ac3328;
    }
  
    .price {
      color: #ac3328;
    }
  
    .description-annonce {
      width: 45%;
    }
  }
  
  
  .text-title{
    font-weight: 800;
    font-size: 20px;
    margin-left: 7%;
    margin-bottom: 15px;
  }